%define name    everybuddy
%define version 0.4.3
%define release 3.20021017.2mdk

Summary: Instant messaging client 
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Networking/Instant messaging
Source: %{name}-20021017.tar.bz2
Source10: %{name}.16.png.bz2
Source11: %{name}.32.png.bz2
Source12: %{name}.48.png.bz2
URL: http://www.everybuddy.com/
Requires: ispell
BuildRequires: bison
BuildRequires: flex
BuildRequires: gtk+-devel
BuildRequires: libltdl-devel
BuildRoot: %{_tmppath}/%{name}-buildroot
Epoch: 1
Obsoletes: everybuddy-0.2.1-0.beta6.6mdk

%description
Everybuddy is designed to become a Universal Instant Messaging client
designed to seamlessly integrate all existing Instant Messaging clients and
provide a single consistant user interface. Currently, Everybuddy supports
sending and receiving messages via AOL, ICQ, Yahoo, MSN, IRC and Jabber.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n everybuddy-20021017

find . -name "*.h" -exec perl -pi -e '$_.="\n" if eof' {} \;

%build
./gen
%configure --enable-xft

make all

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applnk/Internet
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Networking
mkdir -p $RPM_BUILD_ROOT%{_datadir}/sounds/everybuddy
make DESTDIR=$RPM_BUILD_ROOT install

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="soundwrapper /usr/bin/everybuddy"\
icon="%{name}.png"\
title="Everybuddy"\
longtitle="Universal Instant Messaging Client"\
needs="x11"\
section="Networking/Instant messaging"
EOF
)  

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE12} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# remove unpackaged files
rm -f $RPM_BUILD_ROOT/etc/X11/applnk/Internet/Everybuddy.desktop

%find_lang %name

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr (-,root,root)
%doc doc/ AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/sounds/everybuddy/*
#%{_datadir}/applnk/Internet/Everybuddy.kdelnk
%{_datadir}/pixmaps/ebicon.png
%_datadir/%name
#%{_datadir}/gnome/apps/Networking/Everybuddy.desktop
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_menudir}/*

%clean 
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Dec  3 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.3-3.20021017.2mdk
- Use menudir, not libdir/menu
- Remove unpackaged files (Everybuddy.desktop)

* Mon Nov 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.3-3.20021017.1mdk
- use cvs version including fixes.
- from Ben Reser <ben@reser.org> 
	- CVS version update, includes fixes for Yahoo and MSN.
	- update the description (Yahoo and MSN support have been integrated)
	- enable xft support without it the chat windows look like crap

* Mon Sep  9 2002 Ben Reser <ben@reser.org> 0.4.3-1mdk
- 0.4.3
- Use soundwrapper

* Sun Jun  9 2002 Stefan van der Eijk <stefan@eijk.nu> 0.4.2-2mdk
- BuildRequires

* Mon Jun 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.2-1mdk
- 0.4.2
- refresh filelist
- add locales

* Mon Jan 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.1-0.beta6.6mdk
- convert xpms to pngs

* Thu Oct 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.1-0.beta6.5mdk
- fixe release tag

* Tue Oct 09 2001 Stefan van der Eijk <stefan@eijk.nu> 0.2.1beta6-4mdk
- rebuild (get rid of libxode requires)

* Sun Sep 30 2001 Stefan van der Eijk <stefan@eijk.nu> 0.2.1beta6-3mdk
- BuildRequires: gtk+-devel

* Thu Aug 09 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 0.2.1beta6-2mdk
- fixed the MSN Utf8 conversion problem.

* Fri Jul 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.1beta6-1mdk
- updated to 0.2.1beta6

* Sun Mar 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0-3mdk
- fix icons

* Wed Mar 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.2.0-2mdk
- fix build (fix partially this dramatically broken source..)

* Mon Jan 22 2001 Geoffrey Lee <snaitlalk@mandrakesoft.com> 0.2.0-1mdk
- put a new and shiny version into cooker.
- don't give me a load of output when uncompressing the source.
- fix the installation of ebicon.xpm into our icons directory.

* Wed Nov 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.5-2mdk
- fix release

* Mon Nov 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.1.5-1mdk
- new and shiny version.

* Wed Nov 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.4-5mdk
- rebuild for gcc-2.96

* Thu Sep 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.4-4mdk
- change menu entry

* Tue Sep 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.4-3mdk
- patched prefs.c to use replacement sound
- add menu icon

* Mon Sep 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.4-2mdk
- add sound files

* Wed Aug 30 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.4-1mdk
- BM
- macros
- v0.1.4
- menu

* Wed May 03 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com> 0.1.3-1mdk
 - v0.1.3
 - extra tags to make it a little more kosher

* Wed Feb 16 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com> 0.1.2-1mdk
 - v0.1.2
 - bz2 in archive
 - proper directory creation

* Wed Feb 16 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
 - v0.1.1

* Fri Jan 21 2000 Lenny Cartier <lenny@mandrakesoft.com>
 - v0.0.7
 - bz2 archive, add a correct list, set attributes
 - used srpm provided by rufus t firefly <rufus.t.firefly@linux-mandrake.com>

* Tue Dec 28 1999 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  [everybuddy-0.0.7-1mdk]
  - new version from freshmeat
* Mon Oct 18 1999 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  [everybuddy-0.0.3-1mdk]
  - corrected erroneous datestamp on last package
  - moved to new 0.0.3 source code, as per freshmeat release
* Tue Oct 12 1999 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  [everybuddy-0.0.2-1mdk]
  - (19991012) initial packaging (with changelog tag)     
